body {
    margin: 0px;
    font-size: 0.8em;
}

* {
    box-sizing: border-box;
}

h1 {
    text-align: center;
    font-size: 1.4em;
}

h2 {
    text-align: center;
    font-size: 1.1em;
    margin-top: 2%;
}

.ui-widget {
    font-family: Verdana,Arial,sans-serif;
}

.ui-widget-overlay {
    background: #eeeeee;
    opacity: .3;
    filter: Alpha(Opacity=30);
}

.ui-tooltip-content {
    font-size: 0.7em;
}

.ui-accordion .ui-accordion-content {
    padding: 1em;
}

.ui-accordion .ui-accordion-header {
    padding: .4em .4em .4em .7em;
    font-size: 80%;
}

.ui-accordion .ui-corner-top {
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
}

.ui-dialog .ui-corner-all {
    border-top-right-radius: 0px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 1px;
    border-bottom-left-radius: 1px;
}

input[type=text],
input[type=date],
input[type=password],
select {
    padding: 6px;
    border-style: solid;
    border-width: 1px;
    border-radius: 4px;
}

.iconaPersona,
.iconaPassword {
    padding-left: 30px !important;
}
.iconaInput {
    transform: scale(1.5);
}

::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
    color: #bfbfbf;
    opacity: 1; /* Firefox */
    font-weight: normal;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #bfbfbf;
    font-weight: normal;
}

::-ms-input-placeholder { /* Microsoft Edge */
    color: #bfbfbf;
    font-weight: normal;
}

.div_logo_mecprogetti {
    background: transparent url("./images/logoMecprogetti.png") no-repeat ;
    background-size: contain;
    width: 251px;
    height: 31px;
}

/* DIV PRINCIPALI: TOOLBAR, HEADER, CONTENT, FOOTER */
.div_header,
.div_footer,
.div_content {
    position: relative;
    margin: 0px;
    margin-left: auto;
    margin-right: auto;
    transition: all 0.5s ease-in-out;
}

.div_header {
    height: auto;
    box-shadow: 0 1px 3px rgba(0,0,0,0.25),inset 0 -1px 0 rgba(0,0,0,0.1);
    overflow: visible;
    z-index: 30;
}

.div_content {
    z-index: 1;
    width: 100%;
    min-height: 58vh;
}

.div_footer {
	font-size: 90%;
    height: 50px;
    text-align: center;
    box-shadow: 0 1px 3px rgba(0,0,0,0.25),inset 0 -1px 0 rgba(0,0,0,0.1);
}

.div_menu_all {
    position: relative;
    float: left;
    width: 60px;
    display: none;
}

.div_logo_all {
    position: relative;
    float: left;
    width: 300px;
}

.div_search_all {
    position: relative;
    float: right;
    width: 200px;
}

.div_language_all {
    position: relative;
    float: right;
    width: 50px;
}

.div_language_other {
    position: absolute;
    width: 40px;
    text-align: center;
    border-radius: 2px;
    border-width: 1px;
    border-style: solid;
    margin-left: 10px;
    background-color: #dedede;
    display: none;
}

.div_language_ul {
    padding: 0px;
    list-style: none;
}

.div_account_all {
    position: relative;
    float: right;
    width: 50px;
}

.div_shopper_all {
    position: relative;
    float: right;
    width: 50px;
}

.div_logout_all {
    position: relative;
    float: right;
    width: 70px;
}

.div_question_all {
    position: absolute;
    top: 0px;
    right: 0px;
    float: right;
}

.div_complete_all {
    position: relative;
    width: auto;
}

.div_search {
    padding-top: 10px;
    height: 40px;
}

.TwoColumnsL {
    float: left;
    width: 300px;
    overflow: hidden;
}

.TwoColumnsR {
    overflow: hidden;
}

.clearfix::after {
    content: "";
    clear: both;
    display: table;
}

@media screen and (max-width: 1155px) {
    .TwoColumnsL {
        position: initial;
        width: 100%;
    }

    .TwoColumnsR {
        position: initial;
        width: 100%;
    }
}

.div_menu {
    cursor: hand;
    cursor: pointer;
    border-style: solid;
    margin-left: 10px;
    margin-top: 10px;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    border-width: 2px;
}

.div_shopper {
    cursor: hand;
    cursor: pointer;
    border-style: solid;
    margin-left: 10px;
    margin-top: 10px;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    border-width: 2px;
    padding: 4px;
}

.div_shopper_count {
    position: absolute;
    top: 13px;
    left: 12px;
    text-align: center;
    width: 37px;
    font-weight: bold;
    font-size: 0.9em;
    letter-spacing: -1px;
}

.div_logout {
    cursor: hand;
    cursor: pointer;
    border-style: solid;
    margin-left: 10px;
    margin-top: 10px;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    border-width: 2px;
    padding: 4px;
}

.div_language {
    cursor: hand;
    cursor: pointer;
    border-style: solid;
    margin-left: 10px;
    margin-top: 10px;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    border-width: 2px;
    padding: 4px;
}

.div_account {
    cursor: hand;
    cursor: pointer;
    border-style: solid;
    margin-left: 10px;
    margin-top: 10px;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    border-width: 2px;
    padding: 4px;
}

.div_question {
    cursor: hand;
    cursor: pointer;
    border-style: solid;
    margin-left: 10px;
    margin-top: 10px;
    width: 40px;
    height: 40px;
    border-radius: 4px;
    border-width: 2px;
    padding: 4px;
}

.textSearch {
    margin-top: 10px;
    margin-left: auto;
    margin-right: 2px;
    float: right;
    display: block;
    padding-left: 10px;
    border-style: solid;
    border-width: 1px;
    border-radius: 4px;
    font-size: 120%;
}

.textSearchIn {
    width: 60%;
    margin-top: 10px;
    margin-left: auto;
    margin-right: auto;
    display: block;
    padding-left: 10px;
    border-style: solid;
    border-width: 1px;
    border-radius: 4px;
    font-size: 120%;
}

#loading {
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    position: fixed;
    display: block;
    opacity: 0.7;
    background-color: #fff;
    z-index: 999;
    text-align: center;
}

#loading-image {
    z-index: 100;
    transform: scale(0.3);
    margin: auto;
    padding-top: 20%;
}

.div_ContainerMenu {
    position: absolute;
    left: 334px;
    top: 28px;
}

@media only screen and (max-width: 800px) {
    .div_menu_all {
        display: block;
    }

    .div_ContainerMenu {
        position: unset;
        left: unset;
        top: unset;
        display: none;
    }

    .div_logo_all {
        width: 170px;
    }
    .div_logo {
        width: 170px;
        height: 45px;
        margin-left: 5px;
    }
}

.ui-menu {
    border: none !important;
    background: none !important;
    background-color: transparent !important;
}

.ui-menu-item {
    background-color: transparent !important;
    padding: 10px !important;
}

.ui-menu > li > a {
    text-decoration: none;
    text-transform: uppercase;
    height: 30px;
}

    .ui-menu > li > a::before {
        content: "";
        position: absolute;
        width: 100%;
        height: 2px;
        bottom: 0px;
        left: 0;
        background-color: #000;
        visibility: hidden;
        transform: scaleX(0);
        transition: all 0.3s ease-in-out 0s;
    }

    .ui-menu > li > a:hover::before {
        visibility: visible;
        transform: scaleX(1);
    }

.ui-menu .ui-state-active {
    background: none !important;
    border: none !important;
    margin: 0px;
}


@media only screen and (min-width: 800px) {
    .ui-menu {
        overflow: hidden;
        text-align: center;
        display: table;
        outline: 0;
        justify-content: center;
        margin: auto;
        text-align: center;
    }

    .ui-menu-item {
        padding: unset;
    }


    .ui-menu .ui-menu {
        overflow: visible !important;
    }

    .ui-menu > li {
        float: left;
        display: block;
        width: auto !important;
    }

    .ui-menu ul li {
        display: block;
        float: none;
    }

        .ui-menu ul li ul {
            left: 120px !important;
            width: 100%;
        }

            .ui-menu ul li ul li {
                width: auto;
            }

                .ui-menu ul li ul li a {
                    float: left;
                }

    .ui-menu > li {
        margin: 0px 0px !important;
        padding: 0 0 !important;
    }

        .ui-menu > li > a {
            float: left;
            display: block;
            clear: both;
            overflow: hidden;
        }

    .ui-menu .ui-menu-icon {
        margin-top: 0.3em !important;
    }

    .ui-menu .ui-menu .ui-menu li {
        float: left;
        display: block;
    }
}

.ui-button {
    padding: .5em 1em;
    font-size: 0.8em;
}

/* ELENCO TAG HOME PAGE */
ul.ulMacchina {
    position: relative;
    text-align: center;
    width: 100%;
    margin: 0px;
    padding: 0px;
    margin-top: 1%;
    margin-left: auto;
    margin-right: auto;
    background-image: none;
    background-color: transparent;
    transition: all 0.5s ease-in-out;
}

li.ulMacchina {
    display: inline-block;
    border-radius: 0px 0px 8px 9px;
    border: 1px solid darkgray;
    background-color: #fdfcfa;
    cursor: pointer;
    cursor: hand;
    margin: 1em;
    width: 22em;
    height: 16.6em;
    overflow: hidden;
    transition: all 0.5s ease-in-out;
}

    li.ulMacchina:hover {
        -webkit-box-shadow: 0px 6px 9px -4px rgba(0,0,0,0.75);
        -moz-box-shadow: 0px 6px 9px -4px rgba(0,0,0,0.75);
        box-shadow: 0px 6px 9px -4px rgba(0,0,0,0.75);
        transition: none;
    }

.ulMacchina_image {
    background-color: white;
    height: 14em;
    width: 22em;
    float: left;
    background-position: center, center;
    background-size: contain;
    background-repeat: no-repeat;
    transition: all 0.5s ease-in-out;
}

.ulMacchina_image_Manutenzione {
    background-color: white;
    height: 14em;
    width: 22em;
    float: left;
    background-position: center, center;
    background-size: contain;
    background-repeat: no-repeat;
    transition: all 0.5s ease-in-out;
    opacity: 0.5;
    color: red;
    font-weight:bold;
    text-align: center;
    padding-top: 50px
}

.ulMacchina_titolo {
    background-color: #dedede;
    width: 100%;
    float: left;
    height: 2.5em;
    line-height: 2.5em;
    transition: all 0.5s ease-in-out;
}

/*Navigation*/
.jsTree_Macchina {
    font-size: 75%;
    margin-top: 4px;
}
#svgDiv {
    display: block;
    width: 100%;
    height: 56vh;
    background-color: white;
    background-size: contain;
    background-position: center;
    background-repeat: no-repeat;
}
#RicambiTableContainer {
    overflow-y: scroll;
    max-height: 200px;
    width: 100%;
    margin-top: 5px;
    cursor: hand;
    cursor: pointer;
}


/*Summary*/
#CarrelloTableContainer {
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    margin-top: 5em;
    margin-bottom: 2em;
}
.divsummaryNote {
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    text-align: center;
    margin-bottom: 1em;
}
.divsummaryCheck {
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    text-align: left;
    margin-bottom: 2em;
}
.divsummaryButton {
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    text-align: center;
    margin-bottom: 1em;
}
.summaryNote {
    width: 100%;
    height: 80px;
}

.summaryResult {
    width: 80%;
    margin-left: 10%;
    margin-right: 10%;
    text-align: center;
    margin-bottom: 1em;
    padding-top: 2%;
    padding-bottom: 2%;
}

.summaryResultText {
    padding-bottom: 2%;
}

/* ACCOUNT */
ul.ulDistinta {
    position: relative;
    text-align: center;
    min-width: 550px;
    width: 100%;
    margin: 10px;
    margin-left: auto;
    margin-right: auto;
    background-image: none;
    background-color: transparent;
    transition: all 0.5s ease-in-out;
}

li.ulDistinta {
    display: inline-block;
    border-radius: 15px 15px 15px 15px;
    border: 1px solid darkgray;
    background-color: #fdfcfa;
    cursor: pointer;
    cursor: hand;
    margin: 1em;
    width: auto;
    height: auto;
    padding: 10px;
    overflow: hidden;
    transition: all 0.5s ease-in-out;
}

    li.ulDistinta:hover {
        box-shadow: 5px 5px 15px #111111;
        transition: none;
    }

.ulDistinta_testo {
    font-weight: bolder;
    width: auto;
    text-align: center;
    margin-top: 0px;
    margin-left: 0px;
    white-space: normal;
    padding: 5px;
    transition: all 0.5s ease-in-out;
}

@media screen and (max-width: 1155px) {
    ul.ulDistinta {
        max-width: 550px;
    }
}


/* GESTIONE CATALOGO */
.divCopertina {
    display: inline-block;
    width: 12em;
    height: 12em;
    cursor: pointer;
    margin: 0.5em;
    overflow: hidden;
    background-size: contain;
    background-repeat: no-repeat;
    background-color: transparent;
    background-position:center, center;
}

/* RICERCA */
#RicercaTableContainer {
    width: 100%;
    margin-top: 5px;
    cursor: hand;
    cursor: pointer;
}

/* JTable */
#jtable-create-form {
    display: block;
    height: 400px;
    width: 700px;
    -moz-column-gap: 40px;
    -webkit-column-gap: 40px;
    column-gap: 40px;
    -moz-column-count: 2;
    -webkit-column-count: 2;
    column-count: 2;
}

#jtable-edit-form {
    display: block;
    height: 400px;
    width: 700px;
    -moz-column-gap: 40px;
    -webkit-column-gap: 40px;
    column-gap: 40px;
    -moz-column-count: 2;
    -webkit-column-count: 2;
    column-count: 2;
}

/* tabs-vertical */
.ui-tabs-vertical > .ui-state-active {
    cursor: pointer !important;
    font-weight: bold !important
}

.ui-tabs-vertical > .ui-tabs-nav {
    float: left;
    width: 20%;
    border-width: 0;
    padding: 0
}

.ui-tabs-vertical > .ui-tabs-nav li {
    clear: left;
    height: 100%;
    width: 100%;
    border-width: 0 !important;
    overflow: hidden;
    position: relative;
    right: -1px;
    z-index: 2;
}

.ui-tabs-vertical > .ui-tabs-nav li a {
    display: block;
    width: 100%
}

.ui-tabs-vertical > .ui-tabs-nav li.ui-tabs-active {
    border-right-width: 1px;
    margin-bottom: 0.2em;
    padding-bottom: 0;
 }

.ui-tabs-vertical > .ui-tabs-nav li.ui-tabs-active a {
    color: gray
}

.ui-tabs-vertical > .ui-tabs-panel {
    left: -1px;
    float: left;
    width: 80%;
 }

/*ui-tabs-vertical-mini*/
.ui-tabs-vertical-mini > .ui-state-active {
    cursor: pointer !important;
    font-weight: bold !important
}

.ui-tabs-vertical-mini > .ui-tabs-nav {
    border-width: 0;
    padding: 0
}
/*width: 20%;*/
.ui-tabs-vertical-mini > .ui-tabs-nav li {
    border-width: 0 !important;
    overflow: hidden;
    position: relative;
    top: 5px;
    z-index: 2
}
/*;clear: left; height:100%; width: 100%; */
.ui-tabs-vertical-mini > .ui-tabs-nav li a {
    display: block;
    width: 100%
}

.ui-tabs-vertical-mini > .ui-tabs-nav li.ui-tabs-active {
    border-right-width: 1px;
    margin-bottom: 0.2em;
    padding-bottom: 0;
}